# Source: devices/piezobuzzer.js

    "use strict";
    var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
    }) : (function(o, m, k, k2) {
        if (k2 === undefined) k2 = k;
        o[k2] = m[k];
    }));
    var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function(o, v) {
        o["default"] = v;
    });
    var __importStar = (this && this.__importStar) || function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.PiezoBuzzer = void 0;
    const device_1 = require("./device");
    const Consts = __importStar(require("../consts"));
    /**
     * @class PiezoBuzzer
     * @extends Device
     */
    class PiezoBuzzer extends device_1.Device {
        constructor(hub, portId) {
            super(hub, portId, {}, Consts.DeviceType.PIEZO_BUZZER);
        }
        /**
         * Play a tone on the Hub's in-built buzzer
         * @method PiezoBuzzer#playTone
         * @param {number} frequency
         * @param {number} time How long the tone should play for (in milliseconds).
         * @returns {Promise} Resolved upon successful completion of command (ie. once the tone has finished playing).
         */
        playTone(frequency, time) {
            return new Promise((resolve) => {
                const data = Buffer.from([0x05, 0x02, 0x04, 0x00, 0x00, 0x00, 0x00]);
                data.writeUInt16LE(frequency, 3);
                data.writeUInt16LE(time, 5);
                this.send(data, Consts.BLECharacteristic.WEDO2_MOTOR_VALUE_WRITE);
                global.setTimeout(resolve, time);
            });
        }
    }
    exports.PiezoBuzzer = PiezoBuzzer;
    //# sourceMappingURL=piezobuzzer.js.map

#### Search results